
#ifndef _APPERRORS_
#define _APPERRORS_


#ifndef __TYPES__
#include <Types.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC ENUMS
|**| ==============================================================================
\**/
enum {
	rNonfatalAlert = 1001,
	rFatalAlert
} ;

enum {
	eGenericError = 1,
	eFatalNeedsAEVTMgr,			// This application needs AppleEvents run
	eFatalNoGXClientMemory,		// out of memory on GXEnterGraphics
	eFatalNoGXClient,			// could not create a gx client
	eFatalNoWinHandle,
	eFatalNoProcPtr,
	eWarnNoColorSync,
	eWarnCantOpenFile
} ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
OSErr	WarnIfErr		( OSErr error ) ;
void	FailIfErr		( OSErr error ) ;


#endif